<div class="card">
	<app-dimmer [loading]="loading"></app-dimmer>

	<div class="card-header">
		<app-return-back></app-return-back>
	</div>

	<form [formGroup]="form" (ngSubmit)="save()">
		<div class="card-body">
			<div class="row">
				<div class="col-md-3">
					<div class="form-group">
						<ng-container *ngIf="!id; else onlyModelTpl">
							<label>Modelo</label>
							<app-select-async [lookupFn]="modelService.list" valueField="new_id" formControlName="model_id">
								<ng-template selectOption let-option>
									<span>{{ option.name }}</span>
									<br />
									<span class="small text-muted">{{ option.type === 1 ? 'Modelo' : 'Pareja' }}</span>
								</ng-template>
							</app-select-async>
							<app-form-control-error formControlName="model_id"></app-form-control-error>
						</ng-container>
						<ng-template #onlyModelTpl>
							<label>Página</label>
							<app-select-async [lookupFn]="modelService.list" valueField="new_id" formControlName="model_disabled">
								<ng-template selectOption let-option>
									<span>{{ option.name }}</span>
									<br />
									<span class="small text-muted">{{ option.type === 1 ? 'Modelo' : 'Pareja' }}</span>
								</ng-template>
							</app-select-async>
							<app-form-control-error formControlName="model_disabled"></app-form-control-error>
						</ng-template>
					</div>
				</div>
				<div class="col-md-5">
					<!-- <app-solicitud-pages></app-solicitud-pages> -->

					<div class="form-group">
						<ng-container *ngIf="!id; else onlyPageTpl">
							<label>Páginas</label>
							<app-select [multi]="true" [selectOptions]="list.pages" placeholder="-- Seleccionar --" formControlName="pages">
								<ng-template selectOption let-option>
									<span>{{ option.name }}</span>
									<br />
									<span class="small text-muted">{{ option.url }}</span>
								</ng-template>
							</app-select>
							<app-form-control-error formControlName="pages"></app-form-control-error>
						</ng-container>
						<ng-template #onlyPageTpl>
							<label>Página</label>
							<app-select [selectOptions]="list.pages" placeholder="-- Seleccionar --" formControlName="page_id">
								<ng-template selectOption let-option>
									<span>{{ option.name }}</span>
									<br />
									<span class="small text-muted">{{ option.url }}</span>
								</ng-template>
							</app-select>
							<app-form-control-error formControlName="page_id"></app-form-control-error>
						</ng-template>
					</div>
				</div>
				<div class="col-md-4">
					<div class="form-group">
						<label>Nicks Sugeridos:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="nicks_suggest" />
						<app-form-control-error formControlName="nicks_suggest"></app-form-control-error>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<div class="d-flex">
							<label>URL DropBox:</label>
							<div (click)="open(instructivoModal)" class="cursor-pointer ml-2" ngbTooltip="Instructivo">
								<i class="fas fa-info-circle"></i>
							</div>
						</div>
						<input type="text" class="form-control form-control-sm" formControlName="urlDropBox" />
						<app-form-control-error formControlName="urlDropBox"></app-form-control-error>
					</div>
				</div>
				<div class="col-md-4">
					<div class="form-group">
						<label>Tuvo cuenta antes en la pagina a crear:</label>
						<div class="row">
							<div class="col-md-3"><input type="radio" [value]="true" formControlName="old_profile" /><label>Si</label></div>
							<div class="col-md-3"><input type="radio" [value]="false" formControlName="old_profile" /><label>No</label></div>
						</div>
					</div>
				</div>
				<div class="col-md-4">
					<div class="form-group">
						<label>Nicks Anterioes:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="nicks_old_profile" />
						<app-form-control-error formControlName="nicks_old_profile"></app-form-control-error>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-8">
					<div class="form-group">
						<label>Fue creada por:</label>
						<div class="row">
							<div class="col-md-4">
								<input type="radio" value="i" formControlName="creator_old_profile" (ngModelChange)="creatorOldChanged()" /><label>
									Independiente</label
								>
							</div>
							<div class="col-md-2">
								<input type="radio" value="o" formControlName="creator_old_profile" (ngModelChange)="creatorOldChanged()" /><label> Otro</label>
							</div>
							<div class="col-md-6" *ngIf="form.controls['creator_old_profile'].value === 'o'">
								<div class="d-flex"><label>Cual?</label><input class="form-control form-control-sm ml-2" type="text" formControlName="other" /></div>
								<app-form-control-error formControlName="other"></app-form-control-error>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-3">
					<div class="form-group">
						<label>Crear Perfil</label>
						<div class="row">
							<div class="col-md-3"><input type="radio" [value]="true" formControlName="create_profile" /><label>Si</label></div>
							<div class="col-md-3"><input type="radio" [value]="false" formControlName="create_profile" /><label>No</label></div>
						</div>
					</div>
				</div>
				<div class="col-md-9">
					<div class="form-group">
						<label>Plantilla y especificaciones:</label><br />
						<span class="small text-muted">Enlace o referencia, si se solicita cambio de color, texto o alguna pequeña modificacón. </span>
						<input type="text" class="form-control form-control-sm" formControlName="specifications" />
						<app-form-control-error formControlName="specifications"></app-form-control-error>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-3">
					<div class="form-group">
						<label>Agregar redes en Biografía:</label>
						<div class="row">
							<div class="col-md-3"><input type="radio" [value]="true" formControlName="social_media_profile" /><label>Si</label></div>
							<div class="col-md-3"><input type="radio" [value]="false" formControlName="social_media_profile" /><label>No</label></div>
						</div>
					</div>
				</div>
				<div class="col-md-9">
					<div class="form-group">
						<label>Redes Sociales:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="social_media" />
						<app-form-control-error formControlName="social_media"></app-form-control-error>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="form-group">
						<label>Acerca de mi:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="about_me" />
						<app-form-control-error formControlName="about_me"></app-form-control-error>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-3">
					<div class="form-group">
						<label>Tip Menú:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="tip_menu" />
						<app-form-control-error formControlName="tip_menu"></app-form-control-error>
					</div>
				</div>
				<div class="col-md-4">
					<div class="form-group">
						<label>Reglas:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="rules" />
						<app-form-control-error formControlName="rules"></app-form-control-error>
					</div>
				</div>
				<div class="col-md-5">
					<div class="form-group">
						<label>comentarios:</label><br />
						<input type="text" class="form-control form-control-sm" formControlName="comments" />
						<app-form-control-error formControlName="comments"></app-form-control-error>
					</div>
				</div>
			</div>
		</div>

		<div class="card-footer">
			<div class="row">
				<div class="col-md-12">
					<button type="submit" class="btn btn-primary" [disabled]="btnGuardarDisabled">Guardar</button>
				</div>
			</div>
		</div>
	</form>
</div>

<ng-template #instructivoModal let-modal>
	<div class="modal-header">
		<h4 class="modal-title" id="modal-basic-title">Instructivo</h4>
		<button type="button" class="close" aria-label="Close" (click)="modal.dismiss()">
			<span aria-hidden="true">&times;</span>
		</button>
	</div>
	<div class="modal-body">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="form-group">
					<label>INSTRUCTIVO: 1. SOBRE IMÁGENES MÍNIMAS A ENVIAR SI ES CÉDULA:</label><br />
					<span class="small text-muted"
						>Para garantizar la aprobación de la cuenta, es necesarios que las imágenes enviadas: *Sean de una alta calidad de resolución. *Deben
						estar en formato JPEG. *Deben estar legibles las letras y los números. * El rostro de la modelo debe verse nítido. *No puede ser oscuras o
						borrosas. NOTA: Por favor, enviar las imágenes que correspondan en la sección ENVIAR IMÁGENES
					</span>
				</div>
			</div>
		</div>
		<br />

		<div class="row">
			<div class="col-md-4">
				<div class="card" style="width: 22rem;">
					<img class="card-img-top" src="assets/img/intructivo_ccFront.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">Imagen Frontal de la Cédula</span>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card" style="width: 21rem">
					<img class="card-img-top" src="assets/img/intructivo_ccBack.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">Imagen Posterior de la Cédula</span>
					</div>
				</div>
			</div>

			<div class="col-md-4">
				<div class="card" style="width: 18rem">
					<img class="card-img-top" src="assets/img/model_front.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">Imagen de la Modelo con el frente de la Cédula</span>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-3">
				<div class="card" style="width: 18rem;">
					<img class="card-img-top" src="assets/img/intructivo_sides.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">Imagen de Ambas Caras de la Cédula</span>
					</div>
				</div>
			</div>
		</div>
		<hr />
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="form-group"><label>2. SOBRE IMÁGENES MÍNIMAS A ENVIAR SI ES PASAPORTE:</label><br /></div>
			</div>
		</div>
		<br />
		<div class="row">
			<div class="col-md-4">
				<div class="card" style="width: 22rem;">
					<img class="card-img-top" src="assets/img/passport.jpg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">Imagen del Pasaporte</span>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card" style="width: 21rem">
					<img class="card-img-top" src="assets/img/pasa_mode.jpg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">Imagen Modelo con Pasaporte</span>
					</div>
				</div>
			</div>
		</div>
		<hr />
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="form-group"><label>NOTA: DEBEN ENVIAR ESTAS IMAGENES ADICIONALES SI LA PAGINA ES:</label><br /></div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-4">
				<div class="card" style="width: 22rem;">
					<img class="card-img-top" src="assets/img/STRIPCHAT.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">STRIPCHAT, SKYPRIVATE, IMLIVE: Modelo con cédula y en una hoja en blanco, Nick y la fecha del día y otra con la fecha del dia siguiente.</span>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card" style="width: 21rem">
					<img class="card-img-top" src="assets/img/MANYVIDS.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">MANYVIDS: Modelo con cédula y en una hoja en blanco, fecha del día y otra con la fecha del dia siguiente, palabra MANYVIDS, nombre real de la modelo, fecha de nacimiento.</span>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card" style="width: 21rem">
					<img class="card-img-top" src="assets/img/IMLIVE.jpeg" alt="Card image cap" />
					<div class="card-body">
						<span class="small text-muted">IMLIVE Y BONGACAMS: Foto estilo perfil.</span>
					</div>
				</div>
			</div>
		</div>
	</div>
</ng-template>
